<?php
// Database connection details
$servername = "localhost"; // Change this if your database is hosted elsewhere
$username = "Database username"; // Change this to your database username
$password = "Database password"; // Change this to your database password
$dbname = "Database name"; // Change this to your database name

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Check if form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Prepare and bind SQL statement
    $stmt = $conn->prepare("INSERT INTO users (full_name, email, phone_number, birth_date, gender, street_address1, street_address2, country, city, region, postal_code) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt->bind_param("ssssssssssi", $full_name, $email, $phone_number, $birth_date, $gender, $street_address1, $street_address2, $country, $city, $region, $postal_code);

    // Escape and validate user inputs
    $full_name = htmlspecialchars($conn->real_escape_string($_POST['full_name']));
    $email = filter_var($conn->real_escape_string($_POST['email']), FILTER_VALIDATE_EMAIL);
    $phone_number = $conn->real_escape_string($_POST['phone_number']);
    $birth_date = $conn->real_escape_string($_POST['birth_date']);
    $gender = $conn->real_escape_string($_POST['gender']);
    $street_address1 = htmlspecialchars($conn->real_escape_string($_POST['street_address1']));
    $street_address2 = htmlspecialchars($conn->real_escape_string($_POST['street_address2']));
    $country = $conn->real_escape_string($_POST['country']);
    $city = htmlspecialchars($conn->real_escape_string($_POST['city']));
    $region = htmlspecialchars($conn->real_escape_string($_POST['region']));
    $postal_code = $conn->real_escape_string($_POST['postal_code']);

    // Execute SQL statement
    if ($stmt->execute()) {
        echo "New record created successfully";
    } else {
        echo "Error: " . $stmt->error;
    }

    // Close statement
    $stmt->close();
}

// Close connection
$conn->close();
?>
